import factory
from factory.django import DjangoModelFactory


class CustomerFactory(DjangoModelFactory):
    name = factory.Faker("user_name")
    street = factory.Sequence(lambda n: f"{n} noname street")
    zipcode = factory.Sequence(lambda n: str(69000 + n))
    city = "Lyon"
    country = "FR"

    class Meta:
        model = "hbdjinvoicing.Customer"
